Skip to main content
POST
/
accounts
/
{id}
/
contacts
Add a contact to an account
curl --request POST \
  --url https://api.arcuserp.com/v1/accounts/{id}/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "phone_main": "<string>",
  "title": "<string>",
  "role": "<string>",
  "website": "<string>",
  "is_primary": true
}
'
import requests

url = "https://api.arcuserp.com/v1/accounts/{id}/contacts"

payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"phone_main": "<string>",
"title": "<string>",
"role": "<string>",
"website": "<string>",
"is_primary": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: '<string>',
phone: '<string>',
phone_main: '<string>',
title: '<string>',
role: '<string>',
website: '<string>',
is_primary: true
})
};

fetch('https://api.arcuserp.com/v1/accounts/{id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "title": "<string>",
    "website": "<string>",
    "is_primary": true,
    "external_source": "<string>",
    "external_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}
{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}

Authorizations

Authorization
string
header
required

API key issued per entity via Settings > Developers > API Keys. Each key carries scopes (e.g. orders:read, products:write). Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.

Headers

Idempotency-Key
string
Maximum string length: 255

Path Parameters

id
string<uuid>
required

Body

application/json

Contact payload accepted by both standalone contact endpoints and the atomic-create path in POST /v1/accounts.

Field aliases (all paths, all operations):

  • role accepted as alias for title (public API convenience)
  • phone_main accepted as alias for phone

FIX 2026-05-15 (NEW-GAP-API-V1-ADDRESS-AND-CONTACT-FIELD-MAPPING-INCONSISTENT): Aliases now work in standalone POST/PATCH endpoints (previously only worked in atomic-create).

first_name
string | null
last_name
string | null
email
string | null
phone
string | null

Phone number. Also accepted as phone_main (alias).

phone_main
string | null

Alias for phone.

title
string | null

Job title or role. Also accepted as role (alias).

role
string | null

Alias for title.

website
string | null
is_primary
boolean

Response

Contact created

data
object

A person contact associated with an account.